<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {
    //主页
    $router->get('/', 'HomeController@index');
    $router->resource('test', 'TestController');
    //产品
    $router->get('base-product/parameter', 'BaseProductController@parameter');
    $router->resource('base-product', 'BaseProductController');
    //分类
    $router->resource('product-category', 'BaseProductCategoryController');
    //参数
    $router->resource('product-parameter', 'BaseProductParameterController');
});
